Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.model.tree.nodes
Class MockServiceTreeNode

    java.lang.Object
      com.eviware.soapui.model.tree.AbstractModelItemTreeNode<MockService>
          com.eviware.soapui.model.tree.nodes.MockServiceTreeNode

All Implemented Interfaces:
  SoapUITreeNode, java.beans.PropertyChangeListener, java.util.EventListener

    public class MockServiceTreeNode

extends AbstractModelItemTreeNode<MockService>

SoapUITreeNode for MockService implementations

Author:
  Ole.Matzura

Nested Class Summary

Nested classes/interfaces inherited from class com.eviware.soapui.model.tree.AbstractModelItemTreeNode
`AbstractModelItemTreeNode.ReorderPropertyChangeListener`

Constructor Summary
`MockServiceTreeNode(MockService mockService, SoapUITreeModel treeModel)`

Method Summary
`int` | `getChildCount()`
`SoapUITreeNode` | `getChildNode(int index)`
`int` | `getIndexOfChild(java.lang.Object child)`
`MockService` | `getMockService()`
`void` | `release()`

Methods inherited from class com.eviware.soapui.model.tree.AbstractModelItemTreeNode
`getActions, getModelItem, getOverviewPanel, getParentTreeNode, getPopup, getTreeModel, initOrdering, isLeaf, propertyChange, reorder, sortModelItems, toString, valueChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MockServiceTreeNode

    public MockServiceTreeNode(MockService mockService,
                               SoapUITreeModel treeModel)

Method Detail

### release

    public void release()

  Specified by:
    `release` in interface `SoapUITreeNode`
  Overrides:
    `release` in class `AbstractModelItemTreeNode<MockService>`

### getMockService

    public MockService getMockService()

### getChildCount

    public int getChildCount()

  Specified by:
    `getChildCount` in interface `SoapUITreeNode`
  Overrides:
    `getChildCount` in class `AbstractModelItemTreeNode<MockService>`

### getIndexOfChild

    public int getIndexOfChild(java.lang.Object child)

  Specified by:
    `getIndexOfChild` in interface `SoapUITreeNode`
  Overrides:
    `getIndexOfChild` in class `AbstractModelItemTreeNode<MockService>`

### getChildNode

    public SoapUITreeNode getChildNode(int index)

  Specified by:
    `getChildNode` in interface `SoapUITreeNode`
  Overrides:
    `getChildNode` in class `AbstractModelItemTreeNode<MockService>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.